Subject: Re: [PATCH 4/6] Add multi mport support.

From: Matt Porter <[email-masked]>
Date: Tue, 5 Feb 2008 10:23:14 -0600

On Thu, Jan 31, 2008 at 01:57:25PM +0800, Zhang Wei wrote:
>  
> 
> > -----Original Message-----
> > From: Kumar Gala [mailto:[email-masked]] 
> > 
> > On Jan 30, 2008, at 4:30 AM, Zhang Wei wrote:
> > 
> > > Change lots of static variable to mport private. And add 
> > mport to some
> > > function declaration.
> > 
> > Can you explain this patch further.  Its not clear exactly from this  
> > commit message why we are doing this.
> > 
> > - k
> 
> Sorry about I have a little hurry about it.
> 
> The original RapidIO driver suppose there is only one mpc85xx RIO
> controller
> in system. So, some data structures are defined as mpc85xx_rio global,
> such as 'regs_win', 'dbell_ring', 'msg_tx_ring'. Now, I changed them to
> mport's private members. And you can define multi RIO OF-nodes in dts
> file
> for multi RapidIO controller in one processor, such as PCI/PCI-Ex host
> controllers
> in Freescale's silicon. And the mport operation function declaration
> should be changed
> to know which RapidIO controller is target.

Right, the RapidIO subsystem itself has had the concept of multiple
master ports from the beginning. However, when I did the MPC85xx
support I chose to just implement it for the known silicon available
at the time. I'm not surprised there's new silicon with multiple
controllers now.

-Matt